<?php 
require_once '../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND in_array(7, $_SESSION['SessionADMIN_compte_acces_modules'])==false){
	header('Location: ../../');
	exit;
}


if(isset($action) AND $action=='ajouter'){

	/******************************/
	/**  Traitement des erreurs  **/
	/******************************/
	if($planning_equipe=='0'){
		$erreur_message .= "- l'équipe est manquante<br>";
	}
	if(!isset($planning_groupe)){
		$erreur_message .= "- le groupe est manquant<br>";
	}

	/******************************/
	/**  Traitement des données  **/
	/******************************/


	/****************************************/
	/**  Enregistrement des modifications  **/
	/****************************************/
	if($erreur_message==''){

		// Sélection de la compétition
		$requete_competition = mysqli_query($connexion_mysql, 'SELECT competition_id, competition_golfs FROM competitions WHERE competition_active=1');
		$resultat_competition = mysqli_fetch_array($requete_competition);
		$competition_id = $resultat_competition[0];
		$competition_golfs = explode(',', $resultat_competition[1]);

		// Sélection des golfs
		$requete_golfs = mysqli_query($connexion_mysql, 'SELECT golf_id FROM golfs ORDER BY golf_nom');
		$nb_golfs = mysqli_num_rows($requete_golfs);
		if($nb_golfs!=0){
			for($golf_boucle=0; $golf_boucle<$nb_golfs; $golf_boucle++){
				$resultat_golf = mysqli_fetch_array($requete_golfs);
				$golf_id = $resultat_golf[0];

				// Sélection de la date et de l'heure max pour le groupe
				$requete_planning_dateheure = mysqli_query($connexion_mysql, 'SELECT planning_depart_date, MAX(planning_depart_heure) FROM planning WHERE planning_groupe="'.$planning_groupe.'" AND golf_id="'.$golf_id.'"');
				$resultat_planning_dateheure = mysqli_fetch_array($requete_planning_dateheure);
				$planning_depart_date = $resultat_planning_dateheure[0];
				$planning_depart_heure = $resultat_planning_dateheure[1];

				$planning_depart_heure_tab = explode(':', $planning_depart_heure);
				$planning_depart_heure_1 = $planning_depart_heure_tab[0];
				$planning_depart_heure_2 = $planning_depart_heure_tab[1];

				$planning_depart_heure_2 = $planning_depart_heure_2 + 10;	// Incrémentation de 10 min
				if($planning_depart_heure_2==60){
					$planning_depart_heure_2 == '00';
					$planning_depart_heure_1++;
				}

				$planning_depart_heure = $planning_depart_heure_1.':'.$planning_depart_heure_2.':00';

				// Requête d'insertion de l'équipe dans le planning
				$requete_insertion = mysqli_query($connexion_mysql, 'INSERT INTO planning (competition_id, planning_groupe, golf_id, equipe_id, planning_depart_date, planning_depart_heure) VALUES("'.$competition_id.'", "'.$planning_groupe.'", '.$golf_id.', "'.$planning_equipe.'", "'.$planning_depart_date.'", "'.$planning_depart_heure.'")');

			}
		}

		header('Location: ./');
		exit;

	}

}


if(isset($erreur_message) AND $erreur_message==''){

	// Initialisation des champs
	$planning_heure = '';

}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title><?=$admin_titre?></title>
	<link rel="shortcut icon" type="image/png" href="<?=$admin_domaine?>favicon.png">
	<link rel="stylesheet" type="text/css" href="<?=$admin_css_page?>">
	<script type="text/javascript" src="<?=$admin_js?>jquery/jquery.js"></script>
	<script type="text/javascript" src="<?=$admin_js?>commun.js"></script>
	<meta name="robots" content="none">
</head>

<body>

<?php 
include $general_path_relatif.'sources/entete.inc';
include $general_path_relatif.'sources/menu.inc';
?>

<div id="contenu_1"<?=$correction_contenu_1?>><div id="contenu_2">

	<div id="contenu_3" align="left" style="width: 650px;">

		<div id="titres">
			<span class="titre_1"><a href="./">Planning</a> <span class="separateur">/</span> <span class="titre_2">Ajouter</span></span>
		</div>
		<br clear="all">

		<div id="bloc_bis">

			<?php if(isset($erreur_message) AND $erreur_message!=''){ ?>
				<div align="center"><div id="message_erreur" align="left"><b><?=$erreur_message_introduction.'</b><br>'.$erreur_message?></div></div>
			<?php } ?>

			<form name="ajouter" action="<?=$PHP_SELF?>" method="post" enctype="multipart/form-data">

				<input type="hidden" name="action" value="ajouter">

				<div id="formulaire_ligne">
					<div id="formulaire_libelle_obligatoire">Equipe</div>
					<div id="formulaire_champ" style="width: 500px;">
						<select name="planning_equipe" size="1" style="width: 250px;">
							<option value="0">-</option>
							<?php 
							// Sélection des équipes enregistrées
							$requete_equipes = mysqli_query($connexion_mysql, 'SELECT equipe_id, equipe_nom FROM equipes WHERE equipe_id NOT IN (SELECT equipe_id FROM planning) ORDER BY equipe_nom');
							$nb_equipes = mysqli_num_rows($requete_equipes);
							if($nb_equipes!=0){
								for($equipe_boucle=0; $equipe_boucle<$nb_equipes; $equipe_boucle++){
									$resultat_equipe = mysqli_fetch_array($requete_equipes);
									$equipe_id = $resultat_equipe[0];
									$equipe_nom = $resultat_equipe[1];

									if($equipe_id==$planning_equipe){ $equipe_selection = ' selected'; }else{ $equipe_selection = ''; }

									echo '<option value="'.$equipe_id.'"'.$equipe_selection.'>'.$equipe_nom.'</option>'."\n";
								}
							}
							?>
						</select>
					</div>
					<br clear="all">
				</div>
				<div id="formulaire_ligne">
					<div id="formulaire_libelle_obligatoire">Groupe</div>
					<div id="formulaire_champ" style="width: 500px;">
						<?php 
						$requete_groupes = mysqli_query($connexion_mysql, 'SELECT DISTINCT(planning_groupe) FROM planning ORDER BY planning_groupe');
						$nb_groupes = mysqli_num_rows($requete_groupes);
						if($nb_groupes!=0){
							for($groupe_boucle=0; $groupe_boucle<$nb_groupes; $groupe_boucle++){
								$resultat_groupe = mysqli_fetch_array($requete_groupes);
								$competition_groupe = $resultat_groupe[0];

								if(isset($planning_groupe) AND $planning_groupe==$competition_groupe){ $competition_groupe_checked = ' checked'; }else{ $competition_groupe_checked = ''; }

								echo '<input type="radio" id="affichage_groupe_'.$competition_groupe.'" name="planning_groupe" value="'.$competition_groupe.'"'.$competition_groupe_checked.'> <label for="affichage_groupe_'.$competition_groupe.'">Groupe '.$competition_groupe.'</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; '."\n";

							}
						}
						?>
					</div>
					<br clear="all">
				</div>

				<div id="formulaire_boutons"><input type="image" src="<?=$admin_img?>btn_enregistrer.png" width="150" height="32" align="absmiddle" style="margin: 15px 5px 20px 0px;"> ou&nbsp; <a href="./" class="lien_annuler">annuler</a></div>

			</form>

		</div>

	</div>
	<br clear="all">

</div></div>

<?php include $general_path_relatif.'sources/pied_page.inc'; ?>

<script language="Javascript">
	<!-- 
	document.ajouter.competition_date_debut.focus();
	//-->
</script>

</body>
</html>
